changeset 500:63e8b28ea07f

Fix logging errors and die on error.
author Rob Landley <rob@landley.net>
date Fri, 28 Nov 2008 15:00:06 -0600
parents 9d5fd8e1467b
children f4c854520446
files sources/build-all-targets.sh
diffstat 1 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/sources/build-all-targets.sh	Fri Nov 28 14:58:08 2008 -0600
+++ b/sources/build-all-targets.sh	Fri Nov 28 15:00:06 2008 -0600
@@ -45,7 +45,7 @@
 
 function build_and_log()
 {
-  { build_this_target $ARCH 2>&1 || return 1
+  { build_this_target $ARCH 2>&1 || ([ ! -z "$FAIL_FATAL" ] && dienow)
   } | tee >(bzip2 > buildall/logs/$1-$ARCH.txt.bz2)
 }
 
@@ -59,7 +59,7 @@
     echo Launching $ARCH
     if [ "$FORKCOUNT" -eq 1 ]
     then
-      "$@" "$ARCH" || dienow
+      FAIL_FATAL=1 "$@" "$ARCH" || dienow
     else
       ("$@" $ARCH 2>&1 </dev/null |
        grep "^==="; echo Completed $i ) &
@@ -81,7 +81,7 @@
 
 # Build host tools, extract packages (not asynchronous).
 
-($NICE ./host-tools.sh && $NICE ./download.sh --extract || dienow) |
+($NICE ./host-tools.sh && $NICE ./download.sh --extract || dienow) 2>&1 |
   tee >(bzip2 > buildall/logs/host-tools.txt.bz2)
 
 # Create and upload readme (requires build/sources to be extracted)